int taktPin = 8;      // SH_CP 
int speicherPin = 9;  // ST_CP
int datenPin = 10;    // DS

// Funktion zum Übertragen der Informationen
void sendeBytes(int wert) {
    digitalWrite(speicherPin, LOW);
    shiftOut(datenPin, taktPin, MSBFIRST, wert >> 8); 
    shiftOut(datenPin, taktPin, MSBFIRST, wert & 255); 
    digitalWrite(speicherPin, HIGH);
}

void setup() {
  pinMode(taktPin, OUTPUT);
  pinMode(speicherPin, OUTPUT);
  pinMode(datenPin, OUTPUT);
}

void loop() {
  sendeBytes(0B0110011001000101); // Zu übertragende Binärzahl = 26181(dez)
}



