#include <Arduino.h>
#include "Wuerfel.h"
#define WARTEZEIT 20

// Parametrisierter Konstruktor
Wuerfel::Wuerfel(int A, int B, int C, int D) {
  GruppeA = A;
  GruppeB = B;
  GruppeC = C;
  GruppeD = D;
  pinMode(GruppeA, OUTPUT);
  pinMode(GruppeB, OUTPUT);
  pinMode(GruppeC, OUTPUT);
  pinMode(GruppeD, OUTPUT);
}
// Methode zum Würfeln
void Wuerfel::roll() {
  int zahl = random(1, 7);
  digitalWrite(GruppeA, zahl%2!=0?HIGH:LOW);
  digitalWrite(GruppeB, zahl>1?HIGH:LOW);
  digitalWrite(GruppeC, zahl>3?HIGH:LOW);
  digitalWrite(GruppeD, zahl==6?HIGH:LOW);
  delay(WARTEZEIT); // Eine kurze Pause einfügen
}

