#include "MyKeyPad.h"
int rowArray[] = {2, 3, 4, 5}; // Array mit Zeilen Pin-Nummern initialisieren
int colArray[] = {6, 7, 8};    // Array mit Spalten Pin-Nummern initialisieren
MyKeyPad myOwnKeyPad(rowArray, colArray); // Instanziierung eines Objektes

void setup() {
  Serial.begin(9600);               // Serielle Ausgabe vorbereiten
  myOwnKeyPad.setDebounceTime(500); // Prellzeit auf 500ms setzen
}

void loop() {
  char myKey = myOwnKeyPad.readKey(); // Abfragen des gedrückten Tasters
  if(myKey != KEY_NOT_PRESSED)        // Abfrage, ob irgendein Taster gedrückt
    Serial.println(myKey);            // Ausgabe des Tastenzeichens
}
