class Circles {
  // Felder
  PFont myFont;         // Font zur Darstellung von Textinformation
  String circleName;    // Name des Objekts
  int xPos, yPos;       // Positionsinformation
  color bgColor;        // Hintergrundfarbe
  // Konstruktor
  Circles(String name, int x, int y, color c) {
    circleName = name;
    xPos = x; yPos = y;
    bgColor = c;
    myFont = createFont("Courier New", 12, false);
    textFont(myFont, 12);
  }
  // Methoden
  void drawCircles(int value) {
    ellipseMode(CORNER);
    fill(255); // Textfarbe
    text(circleName, xPos + 6, yPos - 10); // Name des Objektes anzeigen
    fill(0); noStroke(); // Hintergundinformation zum Löschen der Farbe
    rect(xPos, yPos, 20, 20); // Löschen der Farbe
    stroke(255, 0, 0);
    if(value == 0) noFill(); // Ist Wert = 0, keine Füllung
    else fill(bgColor);      // Ist Wert <> 0, Füllung mit Hintergrundfarbe
    ellipse(xPos, yPos, 20, 20); // Kreis zeichnen
  }
}