import processing.serial.*;
import cc.arduino.*;

Arduino arduino;

Scrollbar myScrollbar0, myScrollbar1, myScrollbar2, myScrollbar3, 
myScrollbar4, myScrollbar5;
Circles myDigPin2, myDigPin3;

void setup() {
  size(400, 450);          // Fenstergröße
  println(Arduino.list()); // Zeigt alle verfügbaren COM-Ports an
  arduino = new Arduino(this, Arduino.list()[0], 57600);
  background(0); // Hintergrundfarbe
  
  myScrollbar0 = new Scrollbar("Analog Pin 0:", 20, 20, 350, 35, 
  color(89, 7, 243 ));
  myScrollbar1 = new Scrollbar("Analog Pin 1:", 20, 80, 350, 35, 
  color(120, 207, 120));
  myScrollbar2 = new Scrollbar("Analog Pin 2:", 20, 140, 350, 35, 
  color(40, 50, 120));
  myScrollbar3 = new Scrollbar("Analog Pin 3:", 20, 200, 350, 35, 
  color(120, 120, 120));
  myScrollbar4 = new Scrollbar("Analog Pin 4:", 20, 260, 350, 35, 
  color(80, 207, 20));
  myScrollbar5 = new Scrollbar("Analog Pin 5:", 20, 320, 350, 35, 
  color(120, 90, 90));
  
  myDigPin2 = new Circles("2", 20, 400, color(149, 151,   0, 255));
  myDigPin3 = new Circles("3", 60, 400, color(  0, 101, 101, 255));
}
void draw () {
  myScrollbar0.drawScrollbar(arduino.analogRead(0));
  myScrollbar1.drawScrollbar(arduino.analogRead(1));
  myScrollbar2.drawScrollbar(arduino.analogRead(2));
  myScrollbar3.drawScrollbar(arduino.analogRead(3));
  myScrollbar4.drawScrollbar(arduino.analogRead(4));
  myScrollbar5.drawScrollbar(arduino.analogRead(5));
  
  myDigPin2.drawCircles(arduino.digitalRead(2));
  myDigPin3.drawCircles(arduino.digitalRead(3));

  

}