#!/usr/bin/python

from time import sleep              # sleep importieren
from pyfirmata import Arduino, util # Arduino, util importieren

# Arduino-Board ueber serielle Schnittstelle ansprechen
arduinoboard = Arduino('/dev/ttyACM0')

# Iterator-Thread starten, damit der 
# serielle-Buffer keinen Overflow erleidet
it = util.Iterator(arduinoboard)
it.start()

# Arduino-Pin programmieren
pin13 = arduinoboard.get_pin('d:13:o')
while True:
    pin13.write(1) # LED an
    sleep(1)       # 1 Sekunde Pause
    pin13.write(0) # LED aus
    sleep(1)       # 1 Sekunde Pause