int controlChange      = 176; // Control-Change + MIDI Kanal 1
int controllerNummer   = 25;  // Controller-Nummer
int controllerWert     = 0;   // Aktueller Wert
int controllerWertPrev = 0;   // Vorheriger Wert
int threshold          = 2;   // Ansprechschwelle

void setup() {
  Serial.begin(9600); // Muss mit Hairless übereinstimmen
}

void loop() {
  int potiWert = analogRead(A0);
  controllerWert = map(potiWert, 0, 1023, 0, 127);
  if( (controllerWert != controllerWertPrev)&&
     (abs(controllerWert - controllerWertPrev)>=threshold)){
    Serial.write(controlChange);
    Serial.write(controllerNummer);
    Serial.write(controllerWert);
    controllerWertPrev = controllerWert;
  }
}
