#include "MyAnalogKeyPad.h"
#define analogPin A0                   // Definition des analogen Pins
MyAnalogKeyPad myOwnKeyPad(analogPin); // Instanziierung eines Objektes
void setup() {
  Serial.begin(9600); // Serielle Ausgabe vorbereiten
  myOwnKeyPad.setDebounceTime(500); // Prellzeit auf 500ms setzen
}

void loop() {
  char myKey = myOwnKeyPad.readKey(); // Abfragen des gedrückten Tasters
  if(myKey != KEY_NOT_PRESSED) // Abfrage, ob irgendein Taster gedrückt
    Serial.println(myKey); // Ausgabe des Tastenzeichens
}
